package com.abi.qms.platform.dao.vo.result;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * @author: fangxinjian
 * @date: 2021/05/27 14:00
 * @description:
 */
@Data
@ApiModel
public class QrBoxMappingVO implements Serializable {

    @ApiModelProperty(value = "id")
    private Long id;

    @ApiModelProperty(value = "条码序号")
    private String boxCode;

    @ApiModelProperty(value = "起始序号")
    private Long indexBegin;

    @ApiModelProperty(value = "结束序号")
    private Long indexEnd;

    @ApiModelProperty(value = "起始二维码")
    private String beginQrCode;

    @ApiModelProperty(value = "结束二维码")
    private String endQrCode;

    @ApiModelProperty(value = "条数")
    private Long qrCodeCount;

    @ApiModelProperty(value = "激活状态 0-未激活 1-已激活 9-已作废")
    private Integer activeStatus;

    @ApiModelProperty(value = "激活时间")
    private LocalDateTime activeTime;

    @ApiModelProperty(value = "激活人id")
    private Long activeUserId;

    @ApiModelProperty(value = "激活人姓名")
    private String activeUserName;

    @ApiModelProperty(value = "码包id")
    private Long packageId;

    @ApiModelProperty(value = "项目号")
    private String projectNo;

    @ApiModelProperty(value = "版号")
    private String boardNo;

    @ApiModelProperty(value = "备注")
    private String remark;

    @ApiModelProperty(value = "创建人姓名")
    private String createUserName;

    @ApiModelProperty(value = "创建时间")
    private LocalDateTime createTime;

    @ApiModelProperty(value = "创建人id")
    private Long createBy;

    @ApiModelProperty(value = "修改时间")
    private LocalDateTime updateTime;

    @ApiModelProperty(value = "修改人id")
    private Long updateBy;

    @ApiModelProperty(value = "是否删除")
    private Integer isDelete;

    @ApiModelProperty(value = "是否作废 0-未作废 1-已作废")
    private Integer invalid;

}
